<style include="diagnostics-shared diagnostics-fonts"></style>

<diagnostics-card>
  <div id="cardTitle" slot="title">[[i18n('batteryTitle')]]</div>
  <div id="batteryStatusChipInfo" slot="chip" class="diagnostics-chip">
    [[getDesignedFullCharge_(batteryHealth_.chargeFullDesignMilliampHours)]]
  </div>
  <!-- TODO(michaelcheco): Replace placeholder icon. -->
  <iron-icon slot="icon" icon="cr:add"></iron-icon>
  <percent-bar-chart slot="left-panel" header="[[powerTimeString_]]"
    value="[[batteryChargeStatus_.chargeNowMilliampHours]]"
    max="[[batteryHealth_.chargeFullNowMilliampHours]]">
  </percent-bar-chart>
  <data-point slot="body" id="batteryHealth"
    header="[[i18n('batteryHealthLabel')]]"
    value="[[getBatteryHealth_(batteryHealth_.batteryWearPercentage)]]"
    tooltip-text="[[i18n('batteryHealthTooltipText')]]"
    class="data-point-margin-start">
  </data-point>
  <div slot="body" class="divider"></div>
  <data-point slot="body" id="cycleCount" header="[[i18n('cycleCount')]]"
    value="[[batteryHealth_.cycleCount]]"
    tooltip-text="[[i18n('cycleCountTooltipText')]]">
  </data-point>
  <div slot="body" class="divider"></div>
  <data-point slot="body" id="currentNow" header="[[i18n('currentNowLabel')]]"
    value="[[getCurrentNow_(batteryChargeStatus_.currentNowMilliamps)]]"
    tooltip-text="[[i18n('currentNowTooltipText')]]"
    class="data-point-margin-end">
  </data-point>

  <routine-section slot="routines" routines="[[routines_]]"
    is-test-running="{{isTestRunning}}"
    is-power-routine="true"
    run-tests-button-text="[[getRunTestsButtonText_(
      batteryChargeStatus_.powerAdapterStatus
    )]]">
  </routine-section>
</diagnostics-card>
